Subject: bug#76596: 30.1; dired-movement-style does not honor subdir operations

From: Drew Adams <[email-masked]>
Date: Wed, 19 Mar 2025 23:55:15 +0000

> > `bounded': skip blank lines and don't wrap `cycle'  : skip blank lines
> > and wrap
> > nil      : don't skip blank lines and don't wrap
> >
> > What's missing is "don't skip but wrap".
> > And that's maybe the most useful possibility.
> > (It's the default behavior for Dired+.)
> 
> I tried to add the value 'warp' that moves even to empty lines and wraps, but
> it stops at the empty line at the end of the Dired buffer.

Sorry, I don't understand what you're saying or what you did.

If you mean that you try `n' and `p' (and the others I mentioned) after loading dired+.el then you should see cycling, not stopping (at all) at the empty line at the end of the Dired buffer. It wraps directly to the first file/dir listed in the buffer, under the main directory header line.

> Why might anyone want this?

Do you mean why would anyone want to stop at the blank line at the end, instead of wrapping? Dunno. I even wonder why anyone would want to not wrap - but some people apparently do. Maybe it helps with some keyboard macros?

I also don't care about skipping blank lines, personally. 

I do care about wrapping - for ALL of the navigation keys I mentioned. That's what's really needed, IMO. Not wrapping is an option, but IMO it's maybe not needed (I kept it as an option, to provide the vanilla Dired behavior). Likewise, as I say, I see no real need to skip blank lines. YMMV.

> > Please tell me why cycling doesn't logically apply to `C-M-n',
> > `C-M-p', `>', and `<'.
> 
> `>' and `<' are already cycling,
> while `C-M-n' and `C-M-p' aren't.

Why shouldn't they?